%if 0%{?el7}
%define dist .el7
%endif

Name:           libnfs
Version:        3.0.0
Release:        1%{?dist}
Summary:        NFS client library

Group:          System Environment/Libraries
License:        LGPLv2.1
URL:            https://github.com/sahlberg/libnfs
# git clone https://github.com/sahlberg/libnfs.git libnfs-1.9.5
# tar acvf libnfs-1.9.5.tar.xz libnfs-1.9.5 --exclude=.git
#Source0:        %%{name}-%%{version}.tar.xz
Source0:        https://github.com/sahlberg/libnfs/archive/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	autoconf automake libtool

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
A client library for accessing NFS shares over a network.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{name}-%{version}
./bootstrap

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README examples/*.c
%{!?_licensedir:%global license %%doc}
%license LICENCE-GPL-3.txt LICENCE-LGPL-2.1.txt
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libnfs.pc

%package utils
Summary: Utility programs for LibNFS
Group: Applications/System

%description utils
Utility programs for LibNFS

%files utils
%defattr(-,root,root)
%{_bindir}/nfs-ls
%{_bindir}/nfs-cat
%{_bindir}/nfs-cp
%{_mandir}/man1/nfs-ls.1*
%{_mandir}/man1/nfs-cat.1*
%{_mandir}/man1/nfs-cp.1*

%changelog
* Sun Jul 15 2018 momo-i <webmaster@momo-i.org> - 3.0.0-1
- Update to 3.0.0

* Mon Feb 15 2016 momo-i <webmaster@momo-i.org> - 1.10.0-0
- Update to 1.10.0

* Wed Sep 16 2015 momo-i <webmaster@momo-i.org> - 1.9.8-1
- Update to 1.9.8

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 1.9.5-4
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 1.9.5-3
- Rebuilt for fc23

* Wed Apr 15 2015 momo-i <webmaster@momo-i.org> - 1.9.5-2
- Rebuilt for fc22

* Tue Nov 11 2014 momo-i <webmaster@momo-i.org> - 1.9.5-1
- Initial rpm release.
